
#include "AboutWindow.h"
#include "JVConstants.h"

AboutWindow::AboutWindow(BRect frame)
			: BWindow(frame, "About", B_MODAL_WINDOW, 
				B_NOT_RESIZABLE | B_WILL_ACCEPT_FIRST_CLICK) {
	BRect rect;

	rect.Set(440, 40, 480, 60);
	ok = new BButton(rect, "ok", "OK", new BMessage(FINISHED),
						B_FOLLOW_NONE);	
	AddChild(ok);
	Lock();
	SetDefaultButton(ok);
	Unlock();
}


void
AboutWindow::MessageReceived(BMessage *message) {
	if (message->what == FINISHED)
		Quit();
	BWindow::MessageReceived(message);
}

