#ifndef FILE_ENTRY_H
#define FILE_ENTRY_H

#include <Bitmap.h>

class FileEntry {
private:
	char *filename;
	BBitmap *image;
	int lines;
	int max_lines;
	
public:
	FileEntry(const char *name);
	~FileEntry();
	
	const char *Name() { return(filename); }
	BBitmap *Image() { return(image); }
	void Image(BBitmap *i) { image = i; }
	int Lines() { return(lines); }
	void Lines(int l) { lines = l; }
	int MaxLines() { return(max_lines); }
	void MaxLines(int ml) { max_lines = ml; }
};

#endif
